<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RPhoneButtonTemplate StructType
 * @subpackage Structs
 */
class RPhoneButtonTemplate extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - documentation: The template's name
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The isUserModifiable
     * Meta information extracted from the WSDL
     * - documentation: Read-only
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $isUserModifiable;
    /**
     * The buttons
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\Buttons
     */
    public $buttons;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for RPhoneButtonTemplate
     * @uses RPhoneButtonTemplate::setName()
     * @uses RPhoneButtonTemplate::setIsUserModifiable()
     * @uses RPhoneButtonTemplate::setButtons()
     * @uses RPhoneButtonTemplate::setUuid()
     * @param string $name
     * @param string $isUserModifiable
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\Buttons $buttons
     * @param string $uuid
     */
    public function __construct($name = null, $isUserModifiable = null, \\Losc\CucmBundle\Model\Webservice\StructType\Buttons $buttons = null, $uuid = null)
    {
        $this
            ->setName($name)
            ->setIsUserModifiable($isUserModifiable)
            ->setButtons($buttons)
            ->setUuid($uuid);
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RPhoneButtonTemplate
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get isUserModifiable value
     * @return string|null
     */
    public function getIsUserModifiable()
    {
        return $this->isUserModifiable;
    }
    /**
     * Set isUserModifiable value
     * @param string $isUserModifiable
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RPhoneButtonTemplate
     */
    public function setIsUserModifiable($isUserModifiable = null)
    {
        $this->isUserModifiable = $isUserModifiable;
        return $this;
    }
    /**
     * Get buttons value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\Buttons|null
     */
    public function getButtons()
    {
        return $this->buttons;
    }
    /**
     * Set buttons value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\Buttons $buttons
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RPhoneButtonTemplate
     */
    public function setButtons(\\Losc\CucmBundle\Model\Webservice\StructType\Buttons $buttons = null)
    {
        $this->buttons = $buttons;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RPhoneButtonTemplate
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
